"{ Package: 'stx:goodies/monticello' }"

MCBrowserList subclass:#MCPackageList
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-St/X UI'
!


!MCPackageList methodsFor:'generators'!

makeGenerator
    "superclass Tools::BrowserList says that I am responsible to implement this method"

    ^Iterator on:
        [:whatToDo| | selection |
        selection := self selectionHolder value.
        selection ifNotNil:[
        selection versions do: [:verentry|whatToDo value: verentry]]].

    "Modified: / 16-09-2010 / 19:01:07 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MCPackageList methodsFor:'private'!

makeDependent
    "superclass Tools::BrowserList says that I am responsible to implement this method"

    "^ self shouldImplement"

    "Modified: / 16-09-2010 / 16:38:24 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

makeIndependent
    "superclass Tools::BrowserList says that I am responsible to implement this method"

    "^ self shouldImplement"

    "Modified: / 16-09-2010 / 16:38:30 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

updateList

    | generator list |
    generator := self inGeneratorHolder value ? #().
    list := SortedCollection sortBlock:[:a :b|a name < b name].
    generator do:[:pkgentry|list add: pkgentry].
    list.
    listHolder value: list.
    listValid := true.

    "Modified: / 16-09-2010 / 18:55:57 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!MCPackageList class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCPackageList.st,v 1.1 2011-08-20 12:00:31 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCPackageList.st,v 1.1 2011-08-20 12:00:31 cg Exp $'
!

version_SVN
    ^ 'Id: MCPackageList.st 14 2010-09-17 14:16:41Z vranyj1 '
! !
